Name:           canl-c
Version:        2.0.2
Release:        1%{?dist}
Summary:        EMI Common Authentication library - bindings for C

Group:          System Environment/Libraries
License:        ASL 2.0
Url:            http://www.eu-emi.eu
Source:         http://scientific.zcu.cz/emi/emi.canl.c/%{name}-%{version}.tar.gz

BuildRequires:  bison
BuildRequires:  c-ares-devel%{?_isa}
BuildRequires:  flex
BuildRequires:  krb5-devel%{?_isa}
BuildRequires:  libtool
BuildRequires:  openssl-devel%{?_isa}
BuildRequires:  pkgconfig
%if %{?fedora}%{!?fedora:0} >= 9 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires:  tex(latex)
%else
BuildRequires:  tetex-latex
%endif
%if %{?fedora}%{!?fedora:0} >= 19
BuildRequires:  tex(comment.sty)
BuildRequires:  tex(lastpage.sty)
BuildRequires:  tex(multirow.sty)
BuildRequires:  tex(ptmr7t.tfm)
BuildRequires:  tex(phvr8t.tfm)
BuildRequires:  tex(psyr.tfm)
BuildRequires:  tex(pzcmi8r.tfm)
BuildRequires:  tex(ucrr8a.pfb)
%endif

%description
This is the C part of the EMI caNl -- the Common Authentication
Library.


%package        devel
Summary:        Development files for EMI caNl
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       krb5-devel%{?_isa}

%description    devel
This package contains development libraries and header files for EMI caNL.


%package        examples
Summary:        Example programs of EMI caNl
Group:          System Environment/Base

%description    examples
This package contains client and server examples of EMI caNL.


%prep
%setup -q


%build
/usr/bin/perl ./configure --root=/ --prefix=/usr --libdir=%{_lib} --module canl.c
make


%check
make check


%install
make install DESTDIR=$RPM_BUILD_ROOT
# in -devel subpackage
rm -f $RPM_BUILD_ROOT/usr/share/doc/%{name}-%{version}/canl.pdf
find $RPM_BUILD_ROOT -name '*.la' -exec rm -rf {} \;
find $RPM_BUILD_ROOT -name '*.a' -exec rm -rf {} \;


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc LICENSE project/ChangeLog
%{_libdir}/libcanl_c.so.*

%files devel
%doc canl.pdf
%{_includedir}/*.h
%{_libdir}/libcanl_c.so

%files examples
%{_bindir}/*


%changelog
* Sun Nov 18 2012 CESNET Product Teams <emi-lb@metacentrum.cz> - 2.0.2-1%{?dist}
- automatically generated package
